/*
	storage-simple.js -- MDetail persistent data storage, key/value based
	
	Platform: for WebView with localStorage support
*/

EPOCRATES.md.storage = (function(){
	return {
		// expects the GUID for the slide deck
		init: function(callback, context) {
			// Stubbed out for iPhone, not needed
			callback.call(context);
		},
		
		set: function(id, value) {
			if (typeof localStorage != 'undefined')
				localStorage.setItem(id, value);
		},
	
		get: function(id) {
			if (typeof localStorage != 'undefined')
				return localStorage.getItem(id);
			else
				return ""
		},
		
		cleanup: function() {
			// Stubbed out for iPhone, not needed
		}
	}
})();
