/*
	util.js -- Ecpocrates Mobile Detail Utilities -- WebKit
	
	Commonly used utility functions which may be device-specific
*/

EPOCRATES.md.util = {
	// simple k/v pair json string encoding for tracking
	// TODO: should be replaced with json.js
	toJSONString: function(data) {
		var jsonData = [ '{' ];
		for (var i in data) {
			jsonData.push('"' + i + '":"' + data[i] + '"');
			jsonData.push(',');
		}
		jsonData.pop();
		jsonData.push('}');

		return jsonData.join("");
	},

	// load a script or JSON file
	loadScript: function(url) {
		var o = document.createElement('script');
		o.src = url;
		document.body.appendChild(o);
	},
	
	// TODO: start a DOM util lib and move this there
	getChildNodeByType: function(element, type) {
		var nodes = element.childNodes;

		for (var i = 0, length = nodes.length; i < length; i++) {
			if (nodes[i].tagName == type)
				return nodes[i];
		}
	}
};
